libzypp: zypp::target::rpm Namespace Reference

libzypp 17.25.10

Classes | Enumerations | Functions | Variables
zypp::target::rpm Namespace Reference

## Classes
class | BinHeader
struct | FileInfo
class | GlobalRpmInitException
struct | HeaderEntryGetter
| Helper for header data retieval. More...
struct | InstallResolvableReport
struct | KeyRingSignalReceiver
struct | KeyRingSignals
| Internal connection to rpm database. More...
class | librpmDb
| Manage access to librpm database. More...
struct | RebuildDBReport
struct | RemoveResolvableReport
class | RpmAccessBlockedException
class | RpmDb
| Interface to the rpm program. More...
class | RpmDbAlreadyOpenException
class | RpmDbConvertException
class | RpmDbNotOpenException
class | RpmDbOpenException
class | RpmException
| Just inherits Exception to separate media exceptions. More...
class | RpmHeader
| Wrapper class for rpm header struct. More...
class | RpmInitException
struct | RpmInstallReport
class | RpmInvalidRootException
class | RpmNullDatabaseException
struct | RpmRemoveReport
class | RpmSubprocessException

## Enumerations
enum | RpmInstFlag { RPMINST_NONE = 0x0000 , RPMINST_EXCLUDEDOCS = 0x0001 , RPMINST_NOSCRIPTS = 0x0002 , RPMINST_FORCE = 0x0004 , RPMINST_NODEPS = 0x0008 , RPMINST_IGNORESIZE = 0x0010 , RPMINST_JUSTDB = 0x0020 , RPMINST_NODIGEST = 0x0040 , RPMINST_NOSIGNATURE = 0x0080 , RPMINST_NOUPGRADE = 0x0100 , RPMINST_TEST = 0x0200 , RPMINST_NOPOSTTRANS = 0x0400 }
| Bits representing rpm installation options. More...

## Functions
std::ostream & | operator<< (std::ostream &str, const librpmDb::db_const_iterator &obj)
unsigned | diffFiles (const std::string file1, const std::string file2, std::string &out, int maxlines)
std::string | stringPath (const Pathname &root_r, const Pathname &sub_r)
std::ostream & | operator<< (std::ostream &str, RpmDb::CheckPackageResult obj)
std::ostream & | operator<< (std::ostream &str, const RpmDb::CheckPackageDetail &obj)

## Variables
static shared_ptr< KeyRingSignalReceiver > | sKeyRingReceiver

## Enumeration Type Documentation

## ◆ RpmInstFlag

enum zypp::target::rpm::RpmInstFlag

Bits representing rpm installation options.

Use RpmInstFlags as a type-safe way of storing OR-combinations.

See also
  RpmDb::installPackage(), RpmDb::removePackage(),

Enumerator
RPMINST_NONE |
RPMINST_EXCLUDEDOCS |
RPMINST_NOSCRIPTS |
RPMINST_FORCE |
RPMINST_NODEPS |
RPMINST_IGNORESIZE |
RPMINST_JUSTDB |
RPMINST_NODIGEST |
RPMINST_NOSIGNATURE |
RPMINST_NOUPGRADE |
RPMINST_TEST |
RPMINST_NOPOSTTRANS |

Definition at line 37 of file RpmFlags.h.

## Function Documentation

## ◆ operator<<() [1/3]

std::ostream& zypp::target::rpm::operator<< | ( | std::ostream & | str,
|  | const librpmDb::db_const_iterator & | obj
| ) |  |

Definition at line 706 of file librpmDb.cc.

## ◆ diffFiles()

unsigned zypp::target::rpm::diffFiles | ( | const std::string | file1,
|  | const std::string | file2,
|  | std::string & | out,
|  | int | maxlines
| ) |  |

Definition at line 162 of file RpmDb.cc.

## ◆ stringPath()

std::string zypp::target::rpm::stringPath | ( | const Pathname & | root_r,
|  | const Pathname & | sub_r
| ) |  |
| inline

Definition at line 198 of file RpmDb.cc.

## ◆ operator<<() [2/3]

std::ostream& zypp::target::rpm::operator<< | ( | std::ostream & | str,
|  | RpmDb::CheckPackageResult | obj
| ) |  |

Definition at line 2054 of file RpmDb.cc.

## ◆ operator<<() [3/3]

std::ostream& zypp::target::rpm::operator<< | ( | std::ostream & | str,
|  | const RpmDb::CheckPackageDetail & | obj
| ) |  |

Definition at line 2078 of file RpmDb.cc.

## Variable Documentation

## ◆ sKeyRingReceiver

shared_ptr<KeyRingSignalReceiver> zypp::target::rpm::sKeyRingReceiver
| static

Definition at line 160 of file RpmDb.cc.